
#define ITEM_TYPE_TEXT 0                  // simple text
#define ITEM_TYPE_BUTTON 1                // button, basically text with a border 
#define ITEM_TYPE_RADIOBUTTON 2           // toggle button, may be grouped 
#define ITEM_TYPE_CHECKBOX 3              // check box
#define ITEM_TYPE_EDITFIELD 4             // editable text, associated with a cvar
#define ITEM_TYPE_COMBO 5                 // drop down list
#define ITEM_TYPE_LISTBOX 6               // scrollable list  
#define ITEM_TYPE_MODEL 7                 // model
#define ITEM_TYPE_OWNERDRAW 8             // owner draw, name specs what it is
#define ITEM_TYPE_NUMERICFIELD 9          // editable text, associated with a cvar
#define ITEM_TYPE_SLIDER 10               // mouse speed, volume, etc.
#define ITEM_TYPE_YESNO 11                // yes no cvar setting
#define ITEM_TYPE_MULTI 12                // multiple list setting, enumerated
#define ITEM_TYPE_BIND 13				  // multiple list setting, enumerated
#define ITEM_TYPE_PASSWORDFIELD		14	  // password field
#define ITEM_TYPE_COMBOBOX			15	  // Drop down combo box
#define ITEM_TYPE_TEXTSCROLL		16		  // scrolls text
    
#define ITEM_ALIGN_LEFT 0                 // left alignment
#define ITEM_ALIGN_CENTER 1               // center alignment
#define ITEM_ALIGN_RIGHT 2                // right alignment

#define ITEM_TEXTSTYLE_NORMAL 0           // normal text
#define ITEM_TEXTSTYLE_BLINK 1            // fast blinking
#define ITEM_TEXTSTYLE_PULSE 2            // slow pulsing
#define ITEM_TEXTSTYLE_SHADOWED 3         // drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_OUTLINED 4         // drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_OUTLINESHADOWED 5  // drop shadow ( need a color for this )
#define ITEM_TEXTSTYLE_SHADOWEDMORE 6         // drop shadow ( need a color for this )
                          
#define WINDOW_BORDER_NONE 0              // no border
#define WINDOW_BORDER_FULL 1              // full border based on border color ( single pixel )
#define WINDOW_BORDER_HORZ 2              // horizontal borders only
#define WINDOW_BORDER_VERT 3              // vertical borders only 
  
#define WINDOW_STYLE_EMPTY		0         // no background
#define WINDOW_STYLE_FILLED		1         // filled with background color
#define WINDOW_STYLE_SHADER		2         // Shaders
#define WINDOW_STYLE_CINEMATIC	3         // cinematic

#define MENU_TRUE 1                       // uh.. true
#define MENU_FALSE 0                      // and false

#define HUD_VERTICAL				0x00
#define HUD_HORIZONTAL				0x01

// list box element types
#define LISTBOX_TEXT  0x00
#define LISTBOX_IMAGE 0x01

// list feeders
#define FEEDER_HEADS						0			// model heads
#define FEEDER_MAPS							1			// text maps based on game type
#define FEEDER_SERVERS						2			// servers
#define FEEDER_CLANS						3			// clan names
#define FEEDER_ALLMAPS						4			// all maps available, in graphic format
#define FEEDER_VOTEMAPS						5			// all maps available, in graphic format
#define FEEDER_PLAYER_LIST					6			// players
#define FEEDER_TEAMIDENTITIES				7			// team members for team voting
#define FEEDER_MODS							8			// team members for team voting
#define FEEDER_DEMOS 						9			// team members for team voting
#define FEEDER_SCOREBOARD					10			// team members for team voting
#define FEEDER_IDENTITIES					11			// identities
#define FEEDER_SERVERSTATUS					12			// server status
#define FEEDER_FINDPLAYER					13			// find player
#define FEEDER_CINEMATICS					14			// cinematics
#define FEEDER_OUTFITTING_TEMPLATES			16				// templates for outfitting
#define FEEDER_NEWVERSION_WEBSITES			17			// Websites for the newest version of SOF2MP
#define FEEDER_NEWVERSION_TEXT				18			// Notes on the newest version of SOF2MP
//Ryan march 7 2004 8:59pm
#define FEEDER_SONG_LIST					19
#define FEEDER_PLAYER_PUNISHMENTS			20
#define FEEDER_REF_TEAM_COMMANDS			21
#define FEEDER_TEAM_LIST					22
#define FEEDER_VOTES						23
//Ryan

#define FEEDER_DEMOPLAYERS					24

#define FEEDER_CAMERAS						25
#define FEEDER_FOLLOW						26
#define FEEDER_JUMPS						27

#define CG_SHOW_ANYTEAMGAME               0x00000004
#define CG_SHOW_LANPLAYONLY				  0x00000020
#define CG_SHOW_ANYNONTEAMGAME            0x00000100
#define CG_SHOW_2DONLY					  0x00000200

#define CG_SHOW_ONREDTEAM				  0x00000400
#define CG_SHOW_ONBLUETEAM				  0x00000800

#define CG_SHOW_HUD_HEALTH				  0x00020000
#define CG_SHOW_HUD_WEAPONINFO			  0x00040000
#define CG_SHOW_HUD_SNIPERSCOPE			  0x00080000
#define CG_SHOW_HUD_FUNDS				  0x00100000
#define CG_SHOW_HUD_TIMER				  0x00200000
#define CG_SHOW_HUD_NIGHTVISION			  0x00400000
#define CG_SHOW_HUD_THERMAL				  0x00800000
#define	CG_SHOW_PLAYER_ALT_WEAPONINFO	  0x20000000
#define CG_HIDE_PLAYER_ALT_WEAPONINFO	  0x40000000


#define UI_SHOW_LEADER				      0x00000001
#define UI_SHOW_NOTLEADER				  0x00000002
#define UI_SHOW_FAVORITESERVERS			  0x00000004
#define UI_SHOW_ANYNONTEAMGAME			  0x00000008
#define UI_SHOW_ANYTEAMGAME				  0x00000010
#define UI_SHOW_NEWHIGHSCORE			  0x00000020
#define UI_SHOW_DEMOAVAILABLE			  0x00000040
#define UI_SHOW_NEWBESTTIME				  0x00000080
#define UI_SHOW_NETANYNONTEAMGAME	 	  0x00000400
#define UI_SHOW_NETANYTEAMGAME		 	  0x00000800
#define UI_SHOW_NOTFAVORITESERVERS		  0x00001000

// owner draw types
// ideally these should be done outside of this file but
// this makes it much easier for the macro expansion to 
// convert them for the designers ( from the .menu files )
#define CG_OWNERDRAW_BASE				1
										
#define CG_PLAYER_SCORE					2
										
#define CG_BLUE_SCORE					3
#define CG_RED_SCORE					4
#define CG_RED_NAME						5
#define CG_BLUE_NAME					6
#define CG_PLAYER_LOCATION				8
#define CG_TEAM_COLOR					9                                       
#define CG_GAME_TYPE					10
#define CG_GAME_STATUS					11
#define CG_1STPLACE						13
#define CG_2NDPLACE						14
#define CG_WEAPON_LIST					15

#define	CG_PLAYER_HEALTH				16
#define CG_PLAYER_HEALTH_FADE			17
#define CG_PLAYER_ARMOR					18
#define CG_PLAYER_ARMOR_FADE			19
#define CG_PLAYER_WEAPON_NAME			20
#define CG_PLAYER_WEAPON_AMMO			21
#define CG_PLAYER_WEAPON_CLIP			22
#define CG_PLAYER_WEAPON_MODE			23
#define	CG_PLAYER_ALT_WEAPON_NAME		24
#define CG_PLAYER_ALT_WEAPON_AMMO		25
#define CG_PLAYER_ALT_WEAPON_AMMOICON	26

#define CG_TEAMINFO						27

#define CG_PLAYER_SNIPER_BULLET_1		28
#define CG_PLAYER_SNIPER_BULLET_2		29
#define CG_PLAYER_SNIPER_BULLET_3		30
#define CG_PLAYER_SNIPER_BULLET_4		31
#define CG_PLAYER_SNIPER_BULLET_5		32
#define CG_PLAYER_SNIPER_BULLET_6		33

#define	CG_USE_ICON						34
#define	CG_PLAYER_GAMETYPE_ITEMS		35
#define CG_PLAYER_SNIPER_MAGNIFICATION	36

#define UI_OWNERDRAW_BASE 200
#define UI_EFFECTS 201
#define UI_PLAYERMODEL 202
#define UI_GAMETYPE 205
#define UI_MAPPREVIEW 206
#define UI_SKILL 207
#define UI_NETSOURCE 220
#define UI_NETMAPPREVIEW 221
#define UI_NETFILTER 222
#define UI_ALLMAPS_SELECTION 236
#define UI_VOTE_KICK 238
#define UI_BOTNAME 239
#define UI_BOTSKILL 240
#define UI_REDBLUE 241
#define UI_CROSSHAIR 242
#define UI_SELECTEDPLAYER 243
#define UI_MAPCINEMATIC 244
#define UI_NETGAMETYPE 245
#define UI_NETMAPCINEMATIC 246
#define UI_SERVERREFRESHDATE 247
#define UI_SERVERMOTD 248
#define UI_GLINFO  249
#define UI_MAP_TIMETOBEAT 252
#define UI_JOINGAMETYPE 253
#define UI_PREVIEWCINEMATIC 254
#define UI_STARTMAPCINEMATIC 255
#define UI_MAPS_SELECTION 256
#define UI_VERSIONDOWNLOAD_PROGRESS 257

#define UI_REDTEAM_IDENTITY				260
#define UI_BLUETEAM_IDENTITY			261

#define UI_OUTFITTING_SLOT				270
#define UI_OUTFITTING_SLOT_RENDER		271
#define UI_OUTFITTING_SLOT_NAME			272
#define UI_OUTFITTING_SLOT_COST			273
#define UI_OUTFITTING_SLOT_BACKGROUND	274

#define UI_OBJECTIVE_PHOTOS				275

#define UI_SHOTGUNCROSSHAIR				276

#define UI_NEWS							277
#define UI_NEWS_MENU					278

#define UI_COLOR_1						279
#define UI_COLOR_2						280
#define UI_COLOR_3						281
#define UI_COLOR_4						282
#define UI_COLOR_5						283
#define UI_COLOR_6						284
#define UI_COLOR_7						285
#define UI_COLOR_8						286
#define UI_COLOR_9						287					
#define UI_COLOR_10						288
#define UI_COLOR_11						289
#define UI_COLOR_12						290
#define UI_COLOR_13						291
#define UI_COLOR_14						292
#define UI_COLOR_15						293
#define UI_COLOR_16						294
#define UI_COLOR_17						295
#define UI_COLOR_18						296
#define UI_COLOR_19						297
#define UI_COLOR_20						298
#define UI_COLOR_21						299
#define UI_COLOR_22						300
#define UI_COLOR_23						301
#define UI_COLOR_24						302
#define UI_COLOR_25						303
#define UI_COLOR_26						304
#define UI_COLOR_27						305
#define UI_COLOR_28						306
#define UI_COLOR_29						307
#define UI_COLOR_30						308
#define UI_COLOR_31						309
#define UI_COLOR_32						310
#define UI_COLOR_33						311
#define UI_COLOR_34						312
#define UI_COLOR_35						313
#define UI_COLOR_36						314
#define UI_COLOR_37						315
#define UI_COLOR_38						316
#define UI_COLOR_39						317
#define UI_COLOR_40						318
#define UI_COLOR_41						319
#define UI_COLOR_42						320
#define UI_COLOR_43						321
#define UI_COLOR_44						322
#define UI_COLOR_45						323
#define UI_COLOR_46						324
#define UI_COLOR_47						325
#define UI_COLOR_48						326
#define UI_COLOR_49						327
#define UI_COLOR_50						328
#define UI_COLOR_51						329
#define UI_COLOR_52						330
#define UI_COLOR_53						331
#define UI_COLOR_54						332
#define UI_COLOR_55						333
#define UI_COLOR_56						334
#define UI_COLOR_57						335
#define UI_COLOR_58						336
#define UI_COLOR_59						337
#define UI_COLOR_60						338
#define UI_COLOR_61						339
#define UI_COLOR_62						340
#define UI_COLOR_63						341
#define UI_COLOR_64						342
#define UI_COLOR_65						343
#define UI_COLOR_66						344
#define UI_COLOR_67						345
#define UI_COLOR_68						346
#define UI_COLOR_69						347
#define UI_COLOR_70						348
#define UI_COLOR_71						349
#define UI_COLOR_72						350
#define UI_COLOR_73						351
#define UI_COLOR_74						352
#define UI_COLOR_75						353
#define UI_COLOR_76						354
#define UI_COLOR_77						355
#define UI_COLOR_78						356
#define UI_COLOR_79						357
#define UI_COLOR_80						358
#define UI_COLOR_81						359
#define UI_COLOR_82						360
#define UI_COLOR_83						361
#define UI_COLOR_84						362
#define UI_COLOR_85						363
#define UI_COLOR_86						364
#define UI_COLOR_87						365
#define UI_COLOR_88						366
#define UI_COLOR_89						367
#define UI_COLOR_90						368
#define UI_COLOR_91						400
#define UI_COLOR_92						401
#define UI_COLOR_93						402
#define UI_COLOR_94						403
#define UI_COLOR_95						404
#define UI_COLOR_96						405
#define UI_COLOR_97						406
#define UI_COLOR_98						407
#define UI_COLOR_99						408
#define UI_COLOR_100					409

#define UI_CHECKRESULT					410

#define UI_PLAYERNAME_1C				369
#define UI_PLAYERNAME_2C				370
#define UI_PLAYERNAME_3C				371
#define UI_PLAYERNAME_4C				372
#define UI_PLAYERNAME_5C				373
#define UI_PLAYERNAME_6C				374
#define UI_PLAYERNAME_7C				375
#define UI_PLAYERNAME_8C				376
#define UI_PLAYERNAME_9C				377
#define UI_PLAYERNAME_10C				378
#define UI_PLAYERNAME_11C				379
#define UI_PLAYERNAME_12C				380
#define UI_PLAYERNAME_13C				381
#define UI_PLAYERNAME_14C				382
#define UI_PLAYERNAME_15C				383
#define UI_PLAYERNAME_16C				384
#define UI_PLAYERNAME_17C				385
#define UI_PLAYERNAME_18C				386
#define UI_PLAYERNAME_19C				387
#define UI_PLAYERNAME_20C				388

#define UI_PLAYERNAME_1CS				411
#define UI_PLAYERNAME_2CS				412
#define UI_PLAYERNAME_3CS				413
#define UI_PLAYERNAME_4CS				414
#define UI_PLAYERNAME_5CS				415
#define UI_PLAYERNAME_6CS				416
#define UI_PLAYERNAME_7CS				417
#define UI_PLAYERNAME_8CS				418
#define UI_PLAYERNAME_9CS				419
#define UI_PLAYERNAME_10CS				420
#define UI_PLAYERNAME_11CS				421
#define UI_PLAYERNAME_12CS				422
#define UI_PLAYERNAME_13CS				423
#define UI_PLAYERNAME_14CS				424
#define UI_PLAYERNAME_15CS				425
#define UI_PLAYERNAME_16CS				426
#define UI_PLAYERNAME_17CS				427
#define UI_PLAYERNAME_18CS				428
#define UI_PLAYERNAME_19CS				429
#define UI_PLAYERNAME_20CS				430

#define	UI_PLAYERNAME_TOTAL				389
#define UI_PLAYERNAME_TOTAL2			431

#define UI_SELECTED_COLOR				390
#define UI_SELECTED_SYMBOL				432

#define UI_COLOR_1S						479
#define UI_COLOR_4S						488
#define UI_COLOR_7S						489
#define UI_COLOR_10S					490
#define UI_COLOR_13S					491
#define UI_COLOR_16S					492
#define UI_COLOR_19S					493

#define UI_COLOR_21S					494
#define UI_COLOR_24S					495
#define UI_COLOR_27S					496
#define UI_COLOR_30S					497
#define UI_COLOR_33S					498
#define UI_COLOR_36S					499
#define UI_COLOR_39S					500

#define UI_COLOR_41S					579
#define UI_COLOR_44S					588
#define UI_COLOR_47S					589
#define UI_COLOR_50S					590
#define UI_COLOR_53S					591
#define UI_COLOR_56S					592
#define UI_COLOR_59S					593

#define UI_COLOR_61S					594
#define UI_COLOR_64S					595
#define UI_COLOR_67S					596
#define UI_COLOR_70S					597
#define UI_COLOR_73S					598
#define UI_COLOR_76S					599
#define UI_COLOR_79S					600
#define UI_COLOR_81S					601
#define UI_COLOR_84S					602
#define UI_COLOR_87S					603

#define UI_SCREENSHOT					700

#define UI_DEMO_VIEW					701
#define UI_DEMO_FREEZE					702
//#define UI_DEMOWALLHACK				703

#define UI_DEMO_PLAYBACK_SPEED			704
#define UI_DEMO_JUMP_PERCENTAGE			705
#define UI_DEMO_FOV						706
#define UI_DEMO_THIRD_RANGE				707
#define UI_DEMO_FRAME					708
#define UI_DEMO_JUMP_MINUTES			709

#define VOICECHAT_GETFLAG			"getflag"				// command someone to get the flag
#define VOICECHAT_OFFENSE			"offense"				// command someone to go on offense
#define VOICECHAT_DEFEND			"defend"				// command someone to go on defense
#define VOICECHAT_DEFENDFLAG		"defendflag"			// command someone to defend the flag
#define VOICECHAT_PATROL			"patrol"				// command someone to go on patrol (roam)
#define VOICECHAT_CAMP				"camp"					// command someone to camp (we don't have sounds for this one)
#define VOICECHAT_FOLLOWME			"followme"				// command someone to follow you
#define VOICECHAT_RETURNFLAG		"returnflag"			// command someone to return our flag
#define VOICECHAT_FOLLOWFLAGCARRIER	"followflagcarrier"		// command someone to follow the flag carrier
#define VOICECHAT_YES				"yes"					// yes, affirmative, etc.
#define VOICECHAT_NO				"no"					// no, negative, etc.
#define VOICECHAT_ONGETFLAG			"ongetflag"				// I'm getting the flag
#define VOICECHAT_ONOFFENSE			"onoffense"				// I'm on offense
#define VOICECHAT_ONDEFENSE			"ondefense"				// I'm on defense
#define VOICECHAT_ONPATROL			"onpatrol"				// I'm on patrol (roaming)
#define VOICECHAT_ONCAMPING			"oncamp"				// I'm camping somewhere
#define VOICECHAT_ONFOLLOW			"onfollow"				// I'm following
#define VOICECHAT_ONFOLLOWCARRIER	"onfollowcarrier"		// I'm following the flag carrier
#define VOICECHAT_ONRETURNFLAG		"onreturnflag"			// I'm returning our flag
#define VOICECHAT_INPOSITION		"inposition"			// I'm in position
#define VOICECHAT_IHAVEFLAG			"ihaveflag"				// I have the flag
#define VOICECHAT_BASEATTACK		"baseattack"			// the base is under attack
#define VOICECHAT_ENEMYHASFLAG		"enemyhasflag"			// the enemy has our flag (CTF)
#define VOICECHAT_STARTLEADER		"startleader"			// I'm the leader
#define VOICECHAT_STOPLEADER		"stopleader"			// I resign leadership
#define VOICECHAT_TRASH				"trash"					// lots of trash talk
#define VOICECHAT_WHOISLEADER		"whoisleader"			// who is the team leader
#define VOICECHAT_WANTONDEFENSE		"wantondefense"			// I want to be on defense
#define VOICECHAT_WANTONOFFENSE		"wantonoffense"			// I want to be on offense
#define VOICECHAT_KILLINSULT		"kill_insult"			// I just killed you
#define VOICECHAT_TAUNT				"taunt"					// I want to taunt you
#define VOICECHAT_DEATHINSULT		"death_insult"			// you just killed me
#define VOICECHAT_KILLGAUNTLET		"kill_gauntlet"			// I just killed you with the gauntlet
#define VOICECHAT_PRAISE			"praise"				// you did something good

#define OUTFITTING_GROUP_PRIMARY	0
#define OUTFITTING_GROUP_SECONDARY	1
#define OUTFITTING_GROUP_PISTOL		2
#define OUTFITTING_GROUP_GRENADE	3
#define OUTFITTING_GROUP_ACCESSORY	4
#define OUTFITTING_GROUP_MAX		5
#define OUTFITTING_GROUP_KNIFE		6
